Package org.jfree.report

## Interface ReportDataFactory

- All Known Implementing Classes:
    `CachingReportDataFactory`, `EmptyReportDataFactory`, `NamedStaticReportDataFactory`, `SimpleSQLReportDataFactory`, `SQLReportDataFactory`, `StaticReportDataFactory`, `TableReportDataFactory`

      public interface ReportDataFactory

  The report data-factory is responsible for querying the data from arbitary datasources.
  Author:
    Thomas Morgner

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `close()` | Closes the report data factory and all report data instances that have been returned by this instance.
    `ReportDataFactory` | `derive()` | Derives a freshly initialized report data factory, which is independend of the original data factory.
    `void` | `open()` |
    `ReportData` | `queryData​(java.lang.String query, DataSet parameters)` | Queries a datasource.

- - ### Method Detail

    - #### open

          void open()

    - #### queryData

          ReportData queryData​(java.lang.String query,
                               DataSet parameters)
                        throws ReportDataFactoryException

      Queries a datasource. The string 'query' defines the name of the query. The Parameterset given here may contain more data than actually needed. The dataset may change between two calls, do not assume anything!
      Parameters:
        `query` -
        `parameters` -
      Returns:
      Throws:
        `ReportDataFactoryException`

    - #### close

          void close()

      Closes the report data factory and all report data instances that have been returned by this instance.

    - #### derive

          ReportDataFactory derive()

      Derives a freshly initialized report data factory, which is independend of the original data factory. Opening or Closing one data factory must not affect the other factories.
      Returns: